org.apache.lucene.queryparser.flexible.standard.builders

## Class NumericRangeQueryNodeBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.builders.NumericRangeQueryNodeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

    public class NumericRangeQueryNodeBuilder
    extends Object
    implements StandardQueryBuilder

Builds `NumericRangeQuery`s out of `NumericRangeQueryNode`s.

See Also:
  `NumericRangeQuery`, `NumericRangeQueryNode`

### Constructor Summary

Constructors
Constructor and Description
`NumericRangeQueryNodeBuilder()` Constructs a `NumericRangeQueryNodeBuilder` object.

### Method Summary

Methods
`NumericRangeQuery<? extends Number>` `build(QueryNode queryNode)` Builds some kind of object from a query tree.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NumericRangeQueryNodeBuilder

    public NumericRangeQueryNodeBuilder()

Constructs a `NumericRangeQueryNodeBuilder` object.

### Method Detail

#### build

    public NumericRangeQuery<? extends Number> build(QueryNode queryNode)
                                              throws QueryNodeException

Description copied from interface: `QueryBuilder`
Builds some kind of object from a query tree.

Specified by:
  `build` in interface `QueryBuilder`
Specified by:
  `build` in interface `StandardQueryBuilder`
Parameters:
  `queryNode` - the query tree root node
Returns:
  some object generated from the query tree
Throws:
  `QueryNodeException`